
import 'package:hub/commons/actions/api_manager.dart';

import '/commons/widgets/flutter_flow_util.dart';
import 'widget.dart'
    show ForgotPasswordTemplateComponentWidget;
import 'package:flutter/material.dart';

class ForgotPasswordTemplateComponentModel
    extends FlutterFlowModel<ForgotPasswordTemplateComponentWidget> {
  ///  State fields for stateful widgets in this component.

  // State field(s) for emailAddress widget.
  FocusNode? emailAddressFocusNode;
  TextEditingController? emailAddressTextController;
  String? Function(BuildContext, String?)? emailAddressTextControllerValidator;
  // Stores action output result for [Backend Call - API (forgotPassword)] action in Button-Login widget.
  ApiCallResponse? req;

  @override
  void initState(BuildContext context) {}

  @override
  void dispose() {
    emailAddressFocusNode?.dispose();
    emailAddressTextController?.dispose();
  }
}
