
import 'package:hub/pages/onboarding/signup/component.dart';

import '/commons/widgets/flutter_flow_util.dart';
import 'widget.dart' show SignUpPageWidget;
import 'package:flutter/material.dart';

class SignUpPageModel extends FlutterFlowModel<SignUpPageWidget> {
  ///  State fields for stateful widgets in this page.

  final unfocusNode = FocusNode();
  // Model for signUpTemplateComponent component.
  late SignUpTemplateComponentModel signUpTemplateComponentModel;

  @override
  void initState(BuildContext context) {
    signUpTemplateComponentModel =
        createModel(context, () => SignUpTemplateComponentModel());
  }

  @override
  void dispose() {
    unfocusNode.dispose();
    signUpTemplateComponentModel.dispose();
  }
}
